import React from "react";
import PropTypes from "prop-types";
import Icon from "./Icon";

const HeaderBalanceIcon = ({ originalWidth, originalHeight, color, ...props }) => (
    <Icon
        originalHeight={originalHeight}
        originalWidth={originalWidth}
        {...props}
    >
        <path d="M5.60865 4.86626L15.1763 2.2547L14.6696 1.23055C14.3381 0.564858 13.5296 0.289956 12.8639 0.621455L4.29883 4.86626H5.60865Z" fill="#2F80ED"/>
        <path d="M18.1462 2.33012C18.0276 2.33012 17.909 2.34629 17.7904 2.37863L15.5427 2.99311L8.67822 4.86621H16.4698H19.8656L19.4452 3.32461C19.2835 2.7236 18.7391 2.33012 18.1462 2.33012Z" fill="#2F80ED"/>
        <path d="M21.2698 5.80952H20.9626H20.5449H20.1271H16.9388H5.22313H3.68692H2.39326H2.1534H1.35025C0.924424 5.80952 0.544413 6.00627 0.296463 6.31621C0.183268 6.45905 0.0970242 6.62345 0.0485121 6.80402C0.0188658 6.91722 0 7.0358 0 7.15708V7.31879V8.855V22.1716C0 22.9154 0.603706 23.5191 1.34756 23.5191H21.2672C22.011 23.5191 22.6147 22.9154 22.6147 22.1716V18.4119H14.6183C13.3543 18.4119 12.3275 17.385 12.3275 16.121V14.8867V14.4689V14.0512V13.1241C12.3275 12.5042 12.5754 11.9409 12.977 11.5286C13.3327 11.162 13.8098 10.9141 14.3434 10.8521C14.4323 10.8413 14.524 10.8359 14.6156 10.8359H21.4935H21.9113H22.329H22.6147V7.15708C22.6174 6.41323 22.0137 5.80952 21.2698 5.80952Z" fill="#2F80ED"/>
        <path d="M23.5607 12.1242C23.426 12.0003 23.267 11.9059 23.0891 11.8439C22.9516 11.7982 22.8061 11.7712 22.6525 11.7712H22.6174H22.5905H22.1727H20.6662H14.6183C13.8744 11.7712 13.2708 12.3749 13.2708 13.1188V13.7898V14.2076V14.6253V16.1184C13.2708 16.8622 13.8744 17.466 14.6183 17.466H22.6174H22.6525C22.8061 17.466 22.9516 17.439 23.0891 17.3932C23.267 17.3339 23.426 17.2369 23.5607 17.1129C23.8302 16.8676 24 16.5119 24 16.1184V13.1188C24 12.7252 23.8302 12.3695 23.5607 12.1242ZM17.432 14.8867C17.432 15.2587 17.1302 15.5605 16.7582 15.5605H16.3109C15.9389 15.5605 15.6371 15.2587 15.6371 14.8867V14.4393C15.6371 14.2237 15.7368 14.0324 15.8958 13.9111C16.0117 13.8221 16.1546 13.7656 16.3109 13.7656H16.424H16.7582C17.1302 13.7656 17.432 14.0674 17.432 14.4393V14.8867Z" fill="#2F80ED"/>
    </Icon>
);

HeaderBalanceIcon.defaultProps = {
    originalWidth: 24,
    originalHeight: 24,
};

HeaderBalanceIcon.propTypes = {
    color: PropTypes.string,
    originalHeight: PropTypes.number,
    originalWidth: PropTypes.number,
};

export default HeaderBalanceIcon;
